Bug 502345 - "No bootable device found" after F11 install or upgrade on macbook
"No bootable device found" after F11 install or upgrade on macbook
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i586 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 07:14 EDT by Tommaso Visconti
Modified: 2009-07-05 05:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 09:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tommaso Visconti 2009-05-24 07:14:22 EDT
Description of problem:

On my macbook (intel, jan 2008), after an upgrade from F10 or a fresh install, Fedora can't boot with message "No bootable device found".

Steps to Reproduce:
1. upgrade or install F11
2. use the partition scheme below formatting /boot with ext2


Additional info:

The boot flag on the boot partition is set, but seems invalid. I started a live cd, unset the flag then newly set it, then Fedora started correctly. Probably while formatting the /boot partiton from the installer there was some problem.
I also installed grub in various ways (install was correct), but the problem persists.

My partiton scheme:

sda1 - EFI
sda2 - MACOSX
sda3 - /boot (ext2)
sda4 - LVM

/dev/lvm0/root - / (xfs)
/dev/lvm0/home - /home (xfs)
Comment 1 Chris Lumens 2009-05-25 18:39:26 EDT
What version of anaconda did you use to install?  I believe this should be taken care of in rawhide.
Comment 2 Tommaso Visconti 2009-05-26 09:11:36 EDT
Anaconda 11.5.0.47
Comment 3 Ruggero Marchei 2009-06-10 17:15:56 EDT
same in a new installation with fedora DVD x86_64 and ext3 for /boot
Comment 4 Archie 2009-06-17 16:28:18 EDT
Same error using Fedora DVD x86_64 with Anaconda 11.5.0.59.
Downloaded Fedora-11-x86_64-DVD.iso from the torrent today (2009-06-17).

The install ran and completed correctly.

sda1 - EFI
sda2 - MACOSX
sda3 - /boot (ext3)
sda4 - / (ext4)
sda5 - swap
Comment 5 Tommaso Visconti 2009-07-05 05:44:22 EDT
For mac a solution is described in this bug: https://bugzilla.redhat.com/show_bug.cgi?id=505817

Use gptsync from efi shell (launched from refit at boot)

Note You need to log in before you can comment on or make changes to this bug.